Get node statistics

Auth

Get statistics for nodes in a cluster. By default, all stats are returned. You can limit the returned information by using metrics.

Required privileges

Cluster privileges monitor manage

Path parameters

node_id union string | string[] optional

Comma-separated list of node IDs or names used to limit returned information.

Leave it out to use /_nodes/stats.

metric union enum | enum[] optional

Limits the information returned to the specific metrics.

Supported values include: _all, _none, indices, os, process, jvm, thread_pool, fs, transport, http, breaker, script, discovery, ingest, adaptive_selection, script_cache, indexing_pressure, repositories, allocations

Leave it out to use /_nodes/stats.

Values: _all _none indices os process jvm thread_pool fs transport http breaker script discovery ingest adaptive_selection script_cache indexing_pressure repositories allocations
index_metric union enum | enum[] optional

Limit the information returned for indices metric to the specific index metrics. It can be used only if indices (or all) metric is specified.

Supported values include:

  • _all: Return all statistics.
  • store: Size of the index in byte units.
  • indexing: Indexing statistics.
  • get: Get statistics, including missing stats.
  • search: Search statistics including suggest statistics. You can include statistics for custom groups by adding an extra groups parameter (search operations can be associated with one or more groups). The groups parameter accepts a comma-separated list of group names. Use _all to return statistics for all groups.
  • merge: Merge statistics.
  • flush: Flush statistics.
  • refresh: Refresh statistics.
  • query_cache: Query cache statistics.
  • fielddata: Fielddata statistics.
  • docs: Number of documents and deleted docs not yet merged out. Index refreshes can affect this statistic.
  • warmer: Index warming statistics.
  • completion: Completion suggester statistics.
  • segments: Memory use of all open segments. If the include_segment_file_sizes parameter is true, this metric includes the aggregated disk usage of each Lucene index file.
  • translog: Translog statistics.
  • request_cache: Shard request cache statistics.
  • recovery: Recovery statistics.
  • bulk: Bulk operations statistics.
  • shard_stats: Shard statistics, including the total number of shards.
  • mappings: Mapping statistics, including the total count and estimated overhead.
  • dense_vector: Total number of dense vectors indexed. Index refreshes can affect this statistic.
  • sparse_vector: Total number of sparse vectors indexed. Index refreshes can affect this statistic.

Leave it out to use /_nodes/stats.

Values: _all store indexing get search merge flush refresh query_cache fielddata docs warmer

Query parameters

completion_fields union string | string[]

Comma-separated list or wildcard expressions of fields to include in fielddata and suggest statistics.

fielddata_fields union string | string[]

Comma-separated list or wildcard expressions of fields to include in fielddata statistics.

fields union string | string[]

Comma-separated list or wildcard expressions of fields to include in the statistics.

groups boolean

Comma-separated list of search groups to include in the search statistics.

include_segment_file_sizes boolean · default: false

If true, the call reports the aggregated disk usage of each one of the Lucene index files (only applies if segment stats are requested).

level enum · default: node

Indicates whether statistics are aggregated at the node, indices, or shards level.

Values: node indices shards
timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
types string[]

A comma-separated list of document types for the indexing index metric.

include_unloaded_segments boolean · default: false

If true, the response includes information from segments that are not loaded into memory.

Response

application/json
cluster_name string
nodes map string to object required
<string> object
adaptive_selection map string to object

Statistics about adaptive replica selection.

breakers map string to object

Statistics about the field data circuit breaker.

host string

Network host for the node, based on the network host setting.

ip union string | string[]

IP address and port for the node.

name string

Human-readable identifier for the node. Based on the node name setting.

roles enum[]

Roles assigned to the node.

Values: master data data_cold data_content data_frozen data_hot data_warm client ingest ml voting_only transform remote_cluster_client coordinating_only
script_cache map string to oneOf
thread_pool map string to object

Statistics about each thread pool, including current size, queue and rejected tasks.

timestamp number
transport_address string

Host and port for the transport layer, used for internal communication between nodes in a cluster.

attributes map string to string

Contains a list of attributes for the node.

repositories map string to object

Statistics about snapshot activity for the node's registered repositories, keyed by repository name.